Skip to main content
POST
/
wp-json
/
getmcp
/
v1
/
tools
/
{id}
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Create a new customer in Stripe with metadata support",
    "timeout": 15,
    "retry_count": 2,
    "status": "active"
  }' \
  "https://yoursite.com/wp-json/getmcp/v1/tools/5"
{
  "id": 5,
  "server_id": 2,
  "name": "create_customer",
  "description": "Create a new customer in Stripe with metadata support",
  "endpoint_url": "https://api.stripe.com/v1/customers",
  "http_method": "POST",
  "input_schema": {
    "type": "object",
    "properties": {
      "email": {"type": "string"},
      "name": {"type": "string"}
    },
    "required": ["email"]
  },
  "auth_type": "bearer",
  "auth_credentials": null,
  "timeout": 15,
  "retry_count": 2,
  "sort_order": 0,
  "status": "active",
  "created_at": "2025-03-18T10:00:00",
  "updated_at": "2025-03-18T12:00:00"
}

Path Parameters

id
integer
required
The numeric ID of the tool to update.

Body Parameters

All fields are optional. Only include fields you want to update.
name
string
Tool name.
description
string
Tool description.
endpoint_url
string
API endpoint URL.
http_method
string
HTTP method: GET, POST, PUT, PATCH, DELETE.
input_schema
object
JSON Schema for input parameters.
auth_type
string
Authentication type for the external API call.
auth_credentials
object
Authentication credentials.
parameter_mapping
object
Parameter location mapping.
headers
object
Custom HTTP headers.
cache_ttl
integer
Cache TTL in seconds.
timeout
integer
Request timeout in seconds.
retry_count
integer
Number of retries on failure (0–5).
status
string
Tool status: active or paused.
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Create a new customer in Stripe with metadata support",
    "timeout": 15,
    "retry_count": 2,
    "status": "active"
  }' \
  "https://yoursite.com/wp-json/getmcp/v1/tools/5"
{
  "id": 5,
  "server_id": 2,
  "name": "create_customer",
  "description": "Create a new customer in Stripe with metadata support",
  "endpoint_url": "https://api.stripe.com/v1/customers",
  "http_method": "POST",
  "input_schema": {
    "type": "object",
    "properties": {
      "email": {"type": "string"},
      "name": {"type": "string"}
    },
    "required": ["email"]
  },
  "auth_type": "bearer",
  "auth_credentials": null,
  "timeout": 15,
  "retry_count": 2,
  "sort_order": 0,
  "status": "active",
  "created_at": "2025-03-18T10:00:00",
  "updated_at": "2025-03-18T12:00:00"
}